> For the complete documentation index, see [llms.txt](https://docs.coda.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.coda.co/payout/integration-guides/api-reference/initiate-a-payout-request/country-details/colombia.md).

# Colombia

## <mark style="color:purple;">Instant Transfer - Transfiya</mark>

* payout\_method.type = bank\_transfer
* payout\_method.payment\_method = instant\_transfer

| payout\_method\_details Parameter | Type   | Required | Description                                                                                |
| --------------------------------- | ------ | -------- | ------------------------------------------------------------------------------------------ |
| first\_name                       | string | Yes      | Beneficiary’s first name. Max 50 char                                                      |
| last\_name                        | string | Yes      | Beneficiary’s last name. Max 50 char                                                       |
| phone\_number                     | string | Yes      | [E164 format](https://www.globalcallforwarding.com/blog/what-is-e-164/) e.g. +57XXXXXXXXXX |
| bank\_code                        | string | Yes      | “**TRANSFIYA**”                                                                            |

### <mark style="color:purple;">Example Instant Transfer Payload</mark>

{% tabs %}
{% tab title="Example Request" %}

```javascript
{
    "payout_method": {
        "type": "bank_transfer",
        "payment_method": "instant_transfer",
        "beneficiary": {
            "name": "John Doe",
            "payout_method_details": {
                "first_name": "John",
                "last_name": "Doe",
                "phone_number": "+57123456787",
                "bank_code": "TRANSFIYA"
            }
        }
    },
    "amount": {
        "value": "2000.00",
        "currency_code": "COP"
    },
    "country_code": "CO",
    "purpose": "salaries",
    "reference": "Invoice #12345",
    "request_id": "unique_request_id"
}
```

{% endtab %}

{% tab title="Example Response" %}

```python
{
    "purpose": "SALARIES",
    "reference": "Invoice #12345",
    "id": "694e1f99-8924-4767-ade4-0db7c4e03f7a",
    "payout_method": {
        "type": "bank_transfer",
        "payment_method": "co_instant_transfer",
        "beneficiary_details": {
            "name": "John Doe"
        }
    },
    "amount": {
        "value": 2000.00,
        "currency_code": "COP"
    },
    "country_code": "CO",
    "request_id": "unique_request_id",
    "created_at": 1717576191
}
```

{% endtab %}
{% endtabs %}

## <mark style="color:purple;">Bank Transfer</mark>

* payout\_method.type = bank\_transfer
* payout\_method.payment\_method = bank\_transfer

Note: Wallets are supported – Dale, Nequi, Daviplate,Iirs, Movi, Rappipay.&#x20;

They can be found in the Colombia Bank Codes section.

| payout\_method\_details Parameter | Type   | Required | Description                                                                                                                                                                                                                                                                     |
| --------------------------------- | ------ | -------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| first\_name                       | string | Yes      | Beneficiary’s first name. Max 50 char                                                                                                                                                                                                                                           |
| last\_name                        | string | Yes      | Beneficiary’s last name. Max 50 char                                                                                                                                                                                                                                            |
| phone\_number                     | string | Yes      | [E164 format](https://www.globalcallforwarding.com/blog/what-is-e-164/) e.g. +57XXXXXXXXXX                                                                                                                                                                                      |
| email                             | string | Yes      | Beneficiary’s email. Max 100 char                                                                                                                                                                                                                                               |
| address                           | string | Yes      | Beneficiary’s address. Max 200 char                                                                                                                                                                                                                                             |
| document\_type                    | string | Yes      | <p>“<strong>NIT</strong>” - Número de Identificación Tributaria</p><p>“<strong>CC</strong>” - Cédula de Ciudadanía</p><p>“<strong>CE</strong>” - Carnet Extranjeria</p><p>“<strong>PASS</strong>” - Passport</p><p>“<strong>PEP</strong>” - Permiso Especial de Permanencia</p> |
| document\_id                      | string | Yes      | See “Colombia Document ID Validation” below                                                                                                                                                                                                                                     |
| account\_number                   | string | Yes      | See “Colombia Bank Account Number Validation” below                                                                                                                                                                                                                             |
| account\_type                     | string | Yes      | <p>“<strong>C</strong>” - Checking accounts</p><p>“<strong>S</strong>” - Savings accounts</p>                                                                                                                                                                                   |
| bank\_code                        | string | Yes      | See “Colombia Bank Codes” below                                                                                                                                                                                                                                                 |

### <mark style="color:purple;">Example Bank Transfer Payload</mark>

{% tabs %}
{% tab title="Example Request" %}

```javascript
{
  "payout_method": {
    "type": "bank_transfer",
    "payment_method": "bank_transfer",
    "beneficiary": {
      "name": "John Doe",
      "payout_method_details": {
        "first_name": "John",
        "last_name": "Doe",
        "phone_number": "+573001234567",
        "email": "john.doe@example.com",
        "address": "123 Main St, Bogotá, Colombia",
        "document_type": "CC",
        "document_id": "1004922993",
        "account_number": "123456789012",
        "account_type": "S",
        "bank_code": "059"
      }
    }
  },
  "amount": {
    "value": 2000.00,
    "currency_code": "COP"
  },
  "country_code": "CO",
  "purpose": "salaries",
  "reference": "Invoice #12345",
  "request_id": "unique_request_id"
}
```

{% endtab %}

{% tab title="Example Response" %}

```javascript
{
    "purpose": "SALARIES",
    "reference": "Invoice #12345",
    "id": "ff5b3a77-0e67-47a8-94f4-f2ac1865cd8b",
    "payout_method": {
        "type": "bank_transfer",
        "payment_method": "co_bank_transfer",
        "beneficiary_details": {
            "name": "John Doe"
        }
    },
    "amount": {
        "value": 2000,
        "currency_code": "COP"
    },
    "country_code": "CO",
    "request_id": "unique_request_id",
    "created_at": 1717576785
}
```

{% endtab %}
{% endtabs %}

## <mark style="color:purple;">Colombia Document ID Validation</mark>

| document\_type | Length          | Type       | Verification digit | Example                                |
| -------------- | --------------- | ---------- | ------------------ | -------------------------------------- |
| CC             | Between 6 to 10 | numeric    | No                 | <p>1.004.922.993</p><p>1004922993</p>  |
| NIT            | 10 or 11        | numeric    | Last digit         | <p>901.458.652-7</p><p>901458.6527</p> |
| PASS           | up to 12        | characters | No                 | -                                      |
| CE             | up to 12        | characters | No                 | -                                      |
| PEP            | 15              | numeric    | No                 | -                                      |

## <mark style="color:purple;">Colombia Bank Account Number Validation</mark>

For every bank account the minimum length is 3 digits. For the banks that do not have a maximum length in the following table, the maximum length is 18.

Some banks require a specific structure for the account\_number field:

| Bank                                | Bank code | Savings length (up to) | Checking length (up to)                                    | Saving acc. example | Checking acc. Example |
| ----------------------------------- | --------- | ---------------------- | ---------------------------------------------------------- | ------------------- | --------------------- |
| Agrario                             | 40        | 12                     | 12                                                         | 123456789012        | 123456789012          |
| Av. Villas                          | 52        | 11                     | 13                                                         | 12345678901         | 1234567890123         |
| Banco de Bogota                     | 1         | 11                     | 11                                                         | 12345678912         | 12345678912           |
| Banco de Occidente                  | 23        | 9                      | 9                                                          | 123456789           | 123456789             |
| Bancolombia                         | 7         | 11                     | 11                                                         | 27213213912         | 96382852354           |
| Bancoomeva                          | 61        | 12                     | 12                                                         | 123456789012        | 123456789012          |
| BBVA                                | 13        | 16                     | 16 (for payouts above 15K we only accept 9 digit accounts) | 1234570000000000    | 1234570000000000      |
| Caja social BCSC                    | 32        | 12                     | 12                                                         | 123456789012        | 123456789012          |
| Confiar                             | 292       | 9                      | 9                                                          | 123456789           | 123456789             |
| Coopcentral S.A.                    | 66        | -                      | 9                                                          | -                   | 123456789             |
| Cooperativa financiera de Antioquía | 283       | -                      | 11                                                         | -                   | 12345678901           |
| Cotrafa cooperativa financiera      | 289       | -                      | 13                                                         | -                   | 1234567890123         |
| Davivienda                          | 51        | 18                     | 18                                                         | 123456789012        | 123456789012          |
| Falabella S.A.                      | 62        | 12                     | 12                                                         | 123456789012        | 123456789012          |
| Financiera Juriscoop                | 121       | -                      | 12                                                         | -                   | 123456789012          |
| Itau                                | 14        | 9                      | 9                                                          | 123456789           | 123456789             |
| Pichincha                           | 60        | 9                      | 9                                                          | 123456789           | 123456789             |
| Popular                             | 2         | 9                      | 9                                                          | 620630925           | 645324752             |
| Procredit                           | 58        | 13                     | 13                                                         | 1234567890123       | 1234567890123         |
| Santander                           | 6         | 9                      | 9                                                          | 272132139           | 963828523             |
| Scotiabank Colpatria                | 19        | 10                     | 10                                                         | 1234567890          | 1234567890            |
| Sudameris                           | 12        | 8                      | 11                                                         | 208342345908754     | 102938455738947       |

## <mark style="color:purple;">Colombia Bank Codes</mark>

| Type                      | Bank Name                                 | Bank Code |
| ------------------------- | ----------------------------------------- | --------- |
| Bank Transfer (Transfiya) | Transfiya                                 | TRA       |
| Bank Transfer and Wallets | Bancamia S.A.                             | 059       |
|                           | Banco Agrario                             | 040       |
|                           | Banco Av. Villas                          | 052       |
|                           | Banco Caja Social BCSC                    | 032       |
|                           | Banco Credifinanciera S.A.                | 558       |
|                           | Banco Dale                                | 097       |
|                           | Banco Davivienda                          | 051       |
|                           | Banco de Bogota                           | 001       |
|                           | Banco de Occidente                        | 023       |
|                           | Banco Falabella S.A.                      | 062       |
|                           | Banco Finandina S.A.                      | 063       |
|                           | Banco J.P. Morgan Colombia S.A.           | 71        |
|                           | Banco Mundo Mujer                         | 047       |
|                           | Banco Pichincha                           | 060       |
|                           | Banco Popular                             | 002       |
|                           | Banco Procredit                           | 058       |
|                           | Banco Santander de Negocios Colombia S.A. | 65        |
|                           | Banco Serfinanza S.A.                     | 069       |
|                           | Banco Sudameris                           | 012       |
|                           | Banco W S.A.                              | 053       |
|                           | Bancoldex S.A.                            | 031       |
|                           | Bancolombia                               | 007       |
|                           | Bancoomeva                                | 061       |
|                           | BBVA                                      | 013       |
|                           | Citibank                                  | 009       |
|                           | Coltefinanciera S.A.                      | 370       |
|                           | Confiar                                   | 292       |
|                           | Coofinep Cooperativa Financiera           | 291       |
|                           | Coopcentral S.A.                          | 066       |
|                           | Cooperativa Financiera de Antioquia       | 283       |
|                           | Corpbanca Itau ​                          | 006       |
|                           | Cotrafa Cooperativa Financiera            | 289       |
|                           | Daviplata                                 | 551       |
|                           | Financiera Juriscoop                      | 121       |
|                           | Giros y Finanzas CF                       | 303       |
|                           | Iris                                      | 637       |
|                           | Itau                                      | 014       |
|                           | LULO BANK S.A.                            | 070       |
|                           | MiBanco S.A. ​                            | 067       |
|                           | Movii                                     | 801       |
|                           | Nequi                                     | 507       |
|                           | Rappipay                                  | 151       |
|                           | Scotiabank Colpatria                      | 019       |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.coda.co/payout/integration-guides/api-reference/initiate-a-payout-request/country-details/colombia.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
